ProxyAuthK8S
ApiAuth_clusters

Redirect to the cluster's login page

GET
/clusters/{ns}/{cluster}/auth/login

If the cluster is not found or disabled, return 404.

Authorization

bearer_auth
headerAuthorizationBearer <JWT>

Path Parameters

ns*string

Namespace containing the cluster.

cluster*string

Cluster name that should exist in the namespace.

Header Parameters

x-front-callback*|

If it's from the frontend, this header will be set.

x-kubectl-callback*|

If it's from kubectl plugin, this header will be set.

Response Body

Response from remote cluster.

response?stringtext/plain
Example Request
curl -X GET 'https://example.com/clusters/string/string/auth/login' \  -H 'x-front-callback: string' \  -H 'x-kubectl-callback: string'
Example Response
"string"